////////////////////////////////////////////////////////////
// OlePropertyFrameDialog.cpp - 
//
// Copyright (C) Alax.Info, 2006
// http://alax.info
//
// A permission to use the source code is granted as long as reference to 
// source website http://alax.info is retained.

#include "stdafx.h"
#include <atlframe.h>
#include <atlctrls.h>
#include <atldlgs.h>
#include "resource.h"
#include "MainDialog.h"

CAppModule _Module;

int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE /*hPrevInstance*/, LPTSTR /*lpstrCmdLine*/, int /*nCmdShow*/)
{
	ATLVERIFY(SUCCEEDED(CoInitialize(NULL)));
	// this resolves ATL window thunking problem when Microsoft Layer for Unicode (MSLU) is used
	::DefWindowProc(NULL, 0, 0, 0L);
	AtlInitCommonControls(ICC_BAR_CLASSES);	// add flags to support other controls
#if defined(_DEBUG)
	AtlTraceLoadSettings(NULL);
#endif // defined(_DEBUG)
	ATLVERIFY(SUCCEEDED(_Module.Init(NULL, hInstance)));
	INT nResult = 0;
	{
		CMainDialog Dialog;
		nResult = Dialog.DoModal();
	}
	_Module.Term();
	CoUninitialize();
	return nResult;
}
